<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Condition\Rule\Customizer;

use function YOOtheme\app;
use ZOOlanders\YOOessentials\Condition\ConditionRule;

class CustomizerRule extends ConditionRule
{
    public function resolveProps(object $props, object $node): object
    {
        return $props;
    }

    public function resolve($props, $node): bool
    {
        return app()->config->get('app.isCustomizer', false);
    }
}
